#!/usr/bin/env python3

from enum import Enum
from queue import Queue, Empty


class Action(Enum):
    addMessage = 1


def mainLoop(q):
    while True:
        try:
            action = q.get_nowait()
            print(isinstance(action[0], Action))  # False
            print(isinstance(Action.addMessage, Action))  # True
            if action[0] == Action.addMessage:
                print('Adding message...')
            else:
                print('Module requested unknown action {}'.format(action[0]))

        except Empty:
            exit(0)  # Test over

if __name__ == "__main__":
    # Import the module
    from module import Module

    # Set up a queue so that the module can communicate with the main thread
    q = Queue()

    # Load the module
    module = Module(q)

    # Normally this would run forever, but for simplicity's sake, we run this
    # just once
    mainLoop(q)
